Package org.eclipse.net4j.util.om

# Class OSGiActivator.StateHandler

java.lang.Object
org.eclipse.net4j.util.om.OSGiActivator.StateHandler

Enclosing class:
  OSGiActivator

public abstract static class OSGiActivator.StateHandler extends Object
Saves and loads `bundle` state.

Since:
  3.1
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`StateHandler(OMBundle bundle)`

## Method Summary

Modifier and Type
Method
Description
`final void`
`start()`
`protected abstract void`
`startWithState(Object state)`
`final void`
`stop()`
`protected abstract Object`
`stopWithState()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StateHandler

public StateHandler(OMBundle bundle)

## Method Details

### start

public final void start() throws Exception

Throws:
  `Exception`

### stop

public final void stop() throws Exception

Throws:
  `Exception`

### startWithState

protected abstract void startWithState(Object state) throws Exception

Throws:
  `Exception`

### stopWithState

protected abstract Object stopWithState() throws Exception

Throws:
  `Exception`